<?php

namespace App\Controller\Common;

use App\Entity\Common\TaxRate;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\Common\TaxRateCrudController as AbstractUserCrudController;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\GalleryManagerField;
use Lc\SovBundle\Field\ImageManagerField;
use Lc\SovBundle\Field\StatusField;

class TaxRateCrudController extends AbstractUserCrudController
{
    public static function getEntityFqcn(): string
    {
        return TaxRate::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
                TextField::new('title')->setLabel('Titre'),
                NumberField::new('value')->setLabel('Valeur'),
        ];
    }

}
